SOLIDWORKS PDM Professional API Help | Send Feedback
SetProgressRange Method (IEdmCallback6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCallback6 Interface : SetProgressRange Method (IEdmCallback6)

Visual Basic
C#
C++/CLI

lBarIndex
  0-based index of the progress bar

lMax
  Maximum value for the progress bar; minimum value is always 0

Sets the maximum value for a progress bar.

# Syntax

Visual Basic |
--- | ---
    Sub SetProgressRange( _
       ByVal lBarIndex As System.Integer, _
       ByVal lMax As System.Integer _
    )

C# |
--- | ---
    void SetProgressRange(
       System.int lBarIndex,
       System.int lMax
    )

C++/CLI |
--- | ---
    void SetProgressRange(
    &   System.int lBarIndex,
    &   System.int lMax
    )

#### Parameters

lBarIndex
  0-based index of the progress bar
lMax
  Maximum value for the progress bar; minimum value is always 0

# Example

See the IEdmCallback6 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- <any error code>: The calling method terminated.

# See Also

####

IEdmCallback6 Interface
IEdmCallback6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0